DEVICE_GET_CHILDREN(9)

NAME
device_get_children - get a list of devices connected to a device

SYNOPSIS
#include <sys/param.h>
#include <sys/bus.h>
int
device_get_children(device_t dev, device_t **devlistp, int *devcountp);

DESCRIPTION
Retrieve a list of all device instances currently connected to dev and return the list in *devlistp and the count in *devcountp. The memory allocated for the list should be freed using free(*devlistp, M_TEMP). devlistp and devcountp are not changed when an error is returned.

RETURN VALUES
Zero is returned on success, otherwise an appropriate error is returned.

SEE ALSO
devclass(9), device(9)

AUTHORS
This manual page was written by Doug Rabson.